function getUserId() {
  console.log(`current getUserIdMode:variable`)
  switch ('variable' || 'localStorage') {
    case 'variable':
      return 'f12e6db7-99f7-43c9-88ec-3c77d4f173bd'
    case 'localStorage':
      return localStorage.getItem('user_id')
  }
}

const state = {
  wadeUserID: getUserId()
}

const mutations = {
  SET_USERID: (stete, userID) => {
    state.wadeUserID = userID
  }
}

const actions = {
  setUserID({ commit, state }) {
    commit('SET_USERID', state.userID)
  }
}
const getters = {
  wadeUserID: state => state.wadeUserID
}

export default {
  namespaced: true,
  state,
  mutations,
  actions,
  getters
}
